Macaulay2 » Documentation
Packages » Macaulay2Doc » rings » polynomial rings » get a monomial by exponent vector
next | previous | forward | backward | up | index | toc

# get a monomial by exponent vector -- make a monomial from a list of exponents

- Usage:
    `R_w`
- Inputs:
  - R
  - w, of integers
- Outputs:
  - the monomial of the ring R obtained by using the integers in the list w as exponents of the variables.

    i1 : R = ZZ[a..d]

    o1 = R

    o1 : PolynomialRing

    i2 : R_{3,1,5}

          3   5
    o2 = a b*c

    o2 : R

    i3 : R_{1,1,1,1}

    o3 = a*b*c*d

    o3 : R

    i4 : S = R[x,y,z]

    o4 = S

    o4 : PolynomialRing

    i5 : S_{1,1,1}

    o5 = x*y*z

    o5 : S

    i6 : S_{1,1,1,4}

          4
    o6 = a x*y*z

    o6 : S

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/operators/underscore.m2:243:0.